Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.code.generator.wrapping
Class JavaCodeGenerator

    java.lang.Object
      edu.stanford.smi.protege.code.generator.wrapping.JavaCodeGenerator

    public class JavaCodeGenerator

extends Object

Constructor Summary
`JavaCodeGenerator(KnowledgeBase kb, JavaCodeGeneratorOptions options)`

Method Summary
`void` | `createAll()`
`void` | `createFactoryClass()`
`void` | `createImplementation(Cls cls)`
`void` | `createInterface(Cls aClass)`
`void` | `createInterfaceSlotCode(PrintWriter printWriter, SlotAtClassCode slotCode)`
`String` | `getBaseImplementation(Cls aClass)`
`String` | `getBaseInterface(Cls cls)`
`File` | `getImplementationFile(Cls aClass)`
`String` | `getImplementationName(Cls aClass)`
`String` | `getImplementationNamePossiblyAbstract(Cls aClass)`
`File` | `getInterfaceFile(Cls aClass)`
`String` | `getInterfaceName(Cls aClass)`
`String` | `getInterfaceNamePossiblyAbstract(Cls aClass)`
`static String` | `getValidJavaName(String name)`
`boolean` | `hasMultipleSuperclasses(Cls aClass)`
`void` | `printImplementationCode(PrintWriter printWriter, Cls aClass)`
`void` | `printImplementationSlotCode(PrintWriter printWriter, SlotAtClassCode slotCode)`
`void` | `printInterfaceCode(PrintWriter printWriter, Cls aClass)`
`void` | `printUserInterfaceCode(PrintWriter printWriter, Cls cls)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaCodeGenerator

    public JavaCodeGenerator(KnowledgeBase kb,
                             JavaCodeGeneratorOptions options)

Method Detail

### createAll

    public void createAll()
                   throws IOException

  Throws:
    `IOException`

### createFactoryClass

    public void createFactoryClass()
                            throws IOException

  Throws:
    `IOException`

### createImplementation

    public void createImplementation(Cls cls)
                              throws IOException

  Throws:
    `IOException`

### printImplementationCode

    public void printImplementationCode(PrintWriter printWriter,
                                        Cls aClass)

### createInterface

    public void createInterface(Cls aClass)
                         throws IOException

  Throws:
    `IOException`

### printInterfaceCode

    public void printInterfaceCode(PrintWriter printWriter,
                                   Cls aClass)

### printUserInterfaceCode

    public void printUserInterfaceCode(PrintWriter printWriter,
                                       Cls cls)

### printImplementationSlotCode

    public void printImplementationSlotCode(PrintWriter printWriter,
                                            SlotAtClassCode slotCode)

### createInterfaceSlotCode

    public void createInterfaceSlotCode(PrintWriter printWriter,
                                        SlotAtClassCode slotCode)

### getBaseImplementation

    public String getBaseImplementation(Cls aClass)

### getBaseInterface

    public String getBaseInterface(Cls cls)

### getImplementationFile

    public File getImplementationFile(Cls aClass)

### getImplementationName

    public String getImplementationName(Cls aClass)

### getImplementationNamePossiblyAbstract

    public String getImplementationNamePossiblyAbstract(Cls aClass)

### getInterfaceFile

    public File getInterfaceFile(Cls aClass)

### getInterfaceNamePossiblyAbstract

    public String getInterfaceNamePossiblyAbstract(Cls aClass)

### getInterfaceName

    public String getInterfaceName(Cls aClass)

### getValidJavaName

    public static String getValidJavaName(String name)

### hasMultipleSuperclasses

    public boolean hasMultipleSuperclasses(Cls aClass)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.